Package com.independentsoft.office.spreadsheet.extensions

# Class X14ConditionalFormattingRule

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14ConditionalFormattingRule

public class X14ConditionalFormattingRule extends Object
Represents a conditional formatting rule (x14:cfRule element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14ConditionalFormattingRule()`
  Instantiates a new x14 conditional formatting rule.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14ConditionalFormattingRule`
  `clone()`
  `Boolean`
  `getAboveAverage()`
  Gets whether an average rule matches above-average values.
  `Boolean`
  `getActivePresent()`
  Gets whether the rule is active in the legacy part of the document.
  `Boolean`
  `getBottom()`
  Gets whether a top/bottom rule matches bottom values.
  `X14DataBar`
  `getDataBar()`
  Gets the data bar definition.
  `Boolean`
  `getEqualAverage()`
  Gets whether an average rule includes equal-to-average values.
  `Format`
  `getFormat()`
  Gets the differential format (x14:dxf element) applied when the rule matches.
  `List<String>`
  `getFormulas()`
  Gets the rule formulas (xm:f elements).
  `X14IconSet`
  `getIconSet()`
  Gets the icon set definition.
  `String`
  `getId()`
  Gets the rule id (GUID) that links this rule to its main-namespace counterpart.
  `String`
  `getOperator()`
  Gets the comparison operator.
  `Boolean`
  `getPercent()`
  Gets whether a top/bottom rule uses a percentage.
  `Integer`
  `getPriority()`
  Gets the rule priority.
  `Integer`
  `getRank()`
  Gets the rank of a top/bottom rule.
  `Integer`
  `getStandardDeviation()`
  Gets the number of standard deviations of an average rule.
  `Boolean`
  `getStopIfTrue()`
  Gets whether rule evaluation stops when this rule matches.
  `String`
  `getText()`
  Gets the text value of a text rule.
  `String`
  `getTimePeriod()`
  Gets the time period of a date rule.
  `String`
  `getType()`
  Gets the rule type (e.g.
  `void`
  `setAboveAverage​(Boolean aboveAverage)`
  Sets whether an average rule matches above-average values.
  `void`
  `setActivePresent​(Boolean activePresent)`
  Sets whether the rule is active in the legacy part of the document.
  `void`
  `setBottom​(Boolean bottom)`
  Sets whether a top/bottom rule matches bottom values.
  `void`
  `setDataBar​(X14DataBar dataBar)`
  Sets the data bar definition.
  `void`
  `setEqualAverage​(Boolean equalAverage)`
  Sets whether an average rule includes equal-to-average values.
  `void`
  `setFormat​(Format format)`
  Sets the differential format (x14:dxf element) applied when the rule matches.
  `void`
  `setIconSet​(X14IconSet iconSet)`
  Sets the icon set definition.
  `void`
  `setId​(String id)`
  Sets the rule id (GUID) that links this rule to its main-namespace counterpart.
  `void`
  `setOperator​(String ruleOperator)`
  Sets the comparison operator.
  `void`
  `setPercent​(Boolean percent)`
  Sets whether a top/bottom rule uses a percentage.
  `void`
  `setPriority​(Integer priority)`
  Sets the rule priority.
  `void`
  `setRank​(Integer rank)`
  Sets the rank of a top/bottom rule.
  `void`
  `setStandardDeviation​(Integer standardDeviation)`
  Sets the number of standard deviations of an average rule.
  `void`
  `setStopIfTrue​(Boolean stopIfTrue)`
  Sets whether rule evaluation stops when this rule matches.
  `void`
  `setText​(String text)`
  Sets the text value of a text rule.
  `void`
  `setTimePeriod​(String timePeriod)`
  Sets the time period of a date rule.
  `void`
  `setType​(String type)`
  Sets the rule type (e.g.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14ConditionalFormattingRule

    public X14ConditionalFormattingRule()
    Instantiates a new x14 conditional formatting rule.

- ## Method Details

  - ### clone

    public X14ConditionalFormattingRule clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getType

    public String getType()
    Gets the rule type (e.g. "dataBar", "iconSet", "expression", "cellIs").
    Returns:
      the rule type

  - ### setType

    public void setType​(String type)
    Sets the rule type (e.g. "dataBar", "iconSet", "expression", "cellIs").
    Parameters:
      `type` - the new rule type

  - ### getId

    public String getId()
    Gets the rule id (GUID) that links this rule to its main-namespace counterpart.
    Returns:
      the rule id

  - ### setId

    public void setId​(String id)
    Sets the rule id (GUID) that links this rule to its main-namespace counterpart.
    Parameters:
      `id` - the new rule id

  - ### getPriority

    public Integer getPriority()
    Gets the rule priority.
    Returns:
      the rule priority

  - ### setPriority

    public void setPriority​(Integer priority)
    Sets the rule priority.
    Parameters:
      `priority` - the new rule priority

  - ### getStopIfTrue

    public Boolean getStopIfTrue()
    Gets whether rule evaluation stops when this rule matches.
    Returns:
      whether rule evaluation stops when this rule matches

  - ### setStopIfTrue

    public void setStopIfTrue​(Boolean stopIfTrue)
    Sets whether rule evaluation stops when this rule matches.
    Parameters:
      `stopIfTrue` - the new stop if true flag

  - ### getAboveAverage

    public Boolean getAboveAverage()
    Gets whether an average rule matches above-average values.
    Returns:
      whether an average rule matches above-average values

  - ### setAboveAverage

    public void setAboveAverage​(Boolean aboveAverage)
    Sets whether an average rule matches above-average values.
    Parameters:
      `aboveAverage` - the new above average flag

  - ### getPercent

    public Boolean getPercent()
    Gets whether a top/bottom rule uses a percentage.
    Returns:
      whether a top/bottom rule uses a percentage

  - ### setPercent

    public void setPercent​(Boolean percent)
    Sets whether a top/bottom rule uses a percentage.
    Parameters:
      `percent` - the new percent flag

  - ### getBottom

    public Boolean getBottom()
    Gets whether a top/bottom rule matches bottom values.
    Returns:
      whether a top/bottom rule matches bottom values

  - ### setBottom

    public void setBottom​(Boolean bottom)
    Sets whether a top/bottom rule matches bottom values.
    Parameters:
      `bottom` - the new bottom flag

  - ### getOperator

    public String getOperator()
    Gets the comparison operator.
    Returns:
      the comparison operator

  - ### setOperator

    public void setOperator​(String ruleOperator)
    Sets the comparison operator.
    Parameters:
      `ruleOperator` - the new comparison operator

  - ### getText

    public String getText()
    Gets the text value of a text rule.
    Returns:
      the text value of a text rule

  - ### setText

    public void setText​(String text)
    Sets the text value of a text rule.
    Parameters:
      `text` - the new text value

  - ### getTimePeriod

    public String getTimePeriod()
    Gets the time period of a date rule.
    Returns:
      the time period of a date rule

  - ### setTimePeriod

    public void setTimePeriod​(String timePeriod)
    Sets the time period of a date rule.
    Parameters:
      `timePeriod` - the new time period

  - ### getRank

    public Integer getRank()
    Gets the rank of a top/bottom rule.
    Returns:
      the rank of a top/bottom rule

  - ### setRank

    public void setRank​(Integer rank)
    Sets the rank of a top/bottom rule.
    Parameters:
      `rank` - the new rank

  - ### getStandardDeviation

    public Integer getStandardDeviation()
    Gets the number of standard deviations of an average rule.
    Returns:
      the number of standard deviations

  - ### setStandardDeviation

    public void setStandardDeviation​(Integer standardDeviation)
    Sets the number of standard deviations of an average rule.
    Parameters:
      `standardDeviation` - the new number of standard deviations

  - ### getEqualAverage

    public Boolean getEqualAverage()
    Gets whether an average rule includes equal-to-average values.
    Returns:
      whether an average rule includes equal-to-average values

  - ### setEqualAverage

    public void setEqualAverage​(Boolean equalAverage)
    Sets whether an average rule includes equal-to-average values.
    Parameters:
      `equalAverage` - the new equal average flag

  - ### getActivePresent

    public Boolean getActivePresent()
    Gets whether the rule is active in the legacy part of the document.
    Returns:
      whether the rule is active in the legacy part of the document

  - ### setActivePresent

    public void setActivePresent​(Boolean activePresent)
    Sets whether the rule is active in the legacy part of the document.
    Parameters:
      `activePresent` - the new active present flag

  - ### getFormulas

    public List<String> getFormulas()
    Gets the rule formulas (xm:f elements).
    Returns:
      the rule formulas

  - ### getDataBar

    public X14DataBar getDataBar()
    Gets the data bar definition.
    Returns:
      the data bar definition

  - ### setDataBar

    public void setDataBar​(X14DataBar dataBar)
    Sets the data bar definition.
    Parameters:
      `dataBar` - the new data bar definition

  - ### getIconSet

    public X14IconSet getIconSet()
    Gets the icon set definition.
    Returns:
      the icon set definition

  - ### setIconSet

    public void setIconSet​(X14IconSet iconSet)
    Sets the icon set definition.
    Parameters:
      `iconSet` - the new icon set definition

  - ### getFormat

    public Format getFormat()
    Gets the differential format (x14:dxf element) applied when the rule matches.
    Returns:
      the differential format

  - ### setFormat

    public void setFormat​(Format format)
    Sets the differential format (x14:dxf element) applied when the rule matches.
    Parameters:
      `format` - the new differential format